%define version 0.6.0
%define release %mkrel 7

%define major 0
%define libname_orig lib%{name}
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

%define tomoe_version 0.6.0

Name:           tomoe-gtk
Summary:        Tomoe-gtk for handwriting recognition
Version:        %{version}
Release:        %{release}
Group:		System/Internationalization
License:	LGPLv2+
URL:		http://tomoe.sourceforge.jp/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/tomoe/%name-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:		%{libname} = %{version}-%{release}
BuildRequires:		libtomoe-devel >= %{tomoe_version}
BuildRequires:          tomoe >= %{tomoe_version}
BuildRequires:		gtk+2-devel automake pygtk2.0-devel
BuildRequires:		gtk-doc python-gobject-devel

%description
Tomoe-gtk handwriting recognition.

%package	python
Summary:	Python binding of Tomoe-gtk
Group:		System/Internationalization
Requires:	%{libname} = %{version}-%{release}

%description	python
Python binding of Tomoe-gtk.

%package -n	%{libname}
Summary:	Tomoe-gtk library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Tomoe-gtk library.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n %{develname}
Headers of %{name} for development.

%prep
%setup -q

%build
# force to regenerate configure
./autogen.sh

%configure2_5x --without-gucharmap
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove docs for sigscheme (they should be installed by %doc)
rm -rf %{buildroot}%{_datadir}/gtk-doc/

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%doc doc/reference/html/*
%{_libdir}/lib*.so.*
%{_datadir}/tomoe-gtk/*.png

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_includedir}/tomoe/gtk/*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{python_sitearch}/gtk-2.0/*.a
%{python_sitearch}/gtk-2.0/*.la
%{_libdir}/pkgconfig/*.pc

%files python
%defattr(-,root,root)
%doc COPYING
%{python_sitearch}/gtk-2.0/*.so


%changelog
* Wed Jan 30 2008 Funda Wang <fundawang@mandriva.org> 0.6.0-7mdv2008.1
+ Revision: 160126
- Build without gucharmap as it does not like latest libgucharmap
- rebuild against latest gucharmap

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 06 2007 Funda Wang <fundawang@mandriva.org> 0.6.0-5mdv2008.0
+ Revision: 59413
- fix requires of python subpackage

* Fri Aug 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-4mdv2008.0
+ Revision: 58693
- patch from Utumi Hirosi to fix #32264 (incorrect Provides)

* Wed Jul 04 2007 Funda Wang <fundawang@mandriva.org> 0.6.0-3mdv2008.0
+ Revision: 48131
- Merge UTUMI Hirosi's python package
- Remove wrong requires
- rename tomoe-gtk
- rename tomoe-gtk
- BR pygtk2

* Sun Jul 01 2007 Funda Wang <fundawang@mandriva.org> 0.6.0-2mdv2008.0
+ Revision: 46480
- fix file list
- BR python-gobject-devel
- BR gtk-doc
- corrected tarball dirname
- New version


* Thu Feb 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.1-2mdv2007.0
+ Revision: 124676
- bump release
- new release
- Import libtomoe-gtk

* Fri Jan 05 2007 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.0-1mdv2007.1
- new release

* Fri Dec 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdv2007.1
- new release

* Wed Nov 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-1mdv2007.1
- new release

* Fri Mar 03 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.0-3mdk
- add BuildRequires: gtk+2-devel

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-2mdk
- use %%mkrel

* Sun Oct 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.0-1mdk
- first spec for Mandriva Linux

